# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Sep  1 19:31:19 2022
# ------------------------------------------------

package:
  name: openblas
  version: 0.3.21
source:
  patches:
    - patches/0001-Use-blasint-for-INTERFACE64-compatibility.patch
    - patches/0002-remove-spurious-loops.patch
    - patches/0003-Fix-building-tests-when-NOFORTRAN-is-not-given-at-al.patch
  sha256: f36ba3d7a60e7c8bcc54cd9aaa9b1223dd42eaf02c811791c37e8ca707c241ca
  url: https://github.com/xianyi/OpenBLAS/archive/v0.3.21.tar.gz
build:
  number: '3'
  string: pthreads_h320a7e8_3
  track_features: null
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_10
    - gcc_impl_linux-64 10.4.0 h7ee1905_16
    - gcc_linux-64 10.4.0 h9215b83_10
    - gfortran_impl_linux-64 10.4.0 h44b2e72_16
    - gfortran_linux-64 10.4.0 h69d5af5_10
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libgcc-devel_linux-64 10.4.0 h74af60c_16
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgfortran5 12.1.0 hdcd56e2_16
    - libgomp 12.1.0 h8d9b700_16
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 10.4.0 hde28e3b_16
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - make 4.3 hd18ef5c_1
    - perl 5.32.1 2_h7f98852_perl5
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgfortran-ng 12.1.0 h69a702a_16
    - libgfortran5 12.1.0 hdcd56e2_16
    - libgomp 12.1.0 h8d9b700_16
  run:
    - libgcc-ng >=12
    - libgfortran-ng
    - libgfortran5 >=10.4.0
    - libopenblas 0.3.21 pthreads_h78a6416_3
about:
  home: http://www.openblas.net/
  license: BSD-3-Clause
  license_file:
    - LICENSE
    - lapack-netlib/LICENSE
  summary: An optimized BLAS library based on GotoBLAS2 1.13 BSD version
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - gillins
    - groutr
    - h-vetinari
    - isuruf
    - jakirkham
